Skip to main content
POST
/
v2
/
turnkey
/
activity-approval-request
Create a Turnkey activity approval request
curl --request POST \
  --url https://sandbox.groundtech.co/v2/turnkey/activity-approval-request \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "activityId": "018f4b7a-1111-7000-8000-000000000001",
  "action": "approve"
}
'
{
  "activityId": "018f4b7a-1111-7000-8000-000000000001",
  "action": "approve",
  "turnkeyRequest": {
    "type": "ACTIVITY_TYPE_APPROVE_ACTIVITY",
    "timestampMs": "1782302400000",
    "organizationId": "turnkey-suborg-id",
    "parameters": {
      "fingerprint": "activity-fingerprint"
    }
  },
  "stampPayload": "{\"type\":\"ACTIVITY_TYPE_APPROVE_ACTIVITY\",\"timestampMs\":\"1782302400000\",\"organizationId\":\"turnkey-suborg-id\",\"parameters\":{\"fingerprint\":\"activity-fingerprint\"}}"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
activityId
string
required

Turnkey activity ID returned by the pending activities endpoint.

action
enum<string>
required
Available options:
approve,
reject

Response

Turnkey request payload to stamp locally

activityId
string
required
action
enum<string>
required
Available options:
approve,
reject
turnkeyRequest
object
required
stampPayload
string
required

JSON string form of turnkeyRequest. Stamp this payload with the customer signer outside Ground's servers.